Subject: Re: bug#14714: 24.3.50; `isearch-filter-predicate(s)'

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Aug 2013 03:45:34 -0400

>> works fine, but
>> (advice-member-p #'test-a 'isearch-filter-predicate)
>> returns nil.

> Indeed, advice-member-p is for advice-add but there's no equivalent for
> add-function.  Same kind of problem (tho reverted) for the new
> advice-mapc.
> Hmm... I think I see how to solve these problems, a patch should follow
> "shortishly",

You should now be able to use

    (advice-function-member-p #'test-a isearch-filter-predicate)
and
    (advice-function-mapc <somefunc> isearch-filter-predicate)

        Stefan